Page MenuHomePhabricator

Enable Special:PageLanguage on mul.wikisource
Closed, ResolvedPublic

Description

The multilingual Wikisource (a.k.a. OldWikisource) is one of the few wikis that really needs this function. Please enable it so that we can mark pages by language there.


URL: https://wikisource.org/w/index.php?title=Wikisource:Scriptorium&oldid=520903#Setting_page_content_language

Event Timeline

Koavf created this task.Sep 11 2017, 6:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 11 2017, 6:26 PM
Nemo_bis renamed this task from Enable Special:PageLanguage on mul.ws to Enable Special:PageLanguage on mul.wikisource.Sep 11 2017, 8:17 PM
Nemo_bis triaged this task as Normal priority.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a subscriber: Nemo_bis.

Seems straightforward. The schema change was supposedly performed on all wikis so it's just a matter of setting the global.

Dereckson moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

Meanwhile, we can define it for this wiki.

Change 377357 had a related patch set uploaded (by Dereckson; owner: Dereckson):
[operations/mediawiki-config@master] Enable Special:PageLanguage on mul.wikisource

https://gerrit.wikimedia.org/r/377357

Change 377357 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable Special:PageLanguage on mul.wikisource

https://gerrit.wikimedia.org/r/377357

Change 377674 had a related patch set uploaded (by Dereckson; owner: Dereckson):
[operations/mediawiki-config@master] Fix correct wiki name for wgPageLanguageUseDB on www.wikisource.org

https://gerrit.wikimedia.org/r/377674

Change 377674 merged by jenkins-bot:
[operations/mediawiki-config@master] Fix correct wiki name for wgPageLanguageUseDB on www.wikisource.org

https://gerrit.wikimedia.org/r/377674

Mentioned in SAL (#wikimedia-operations) [2017-09-13T00:11:25Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:377357|Enable Special:PageLanguage on mul.wikisource]] [[gerrit:377674|Fix correct wiki name for wgPageLanguageUseDB on www.wikisource.org]] T175622 (duration: 00m 49s)

What's left to do here?

Koavf added a comment.Dec 10 2017, 7:27 PM

Both things requested above: mark the default language as <code>mul</code> and make it so that individual pages can be edited. See e.g. https://wikisource.org/w/index.php?title=Index:Festival_Romanistica.pdf&action=info and https://outreach.wikimedia.org/w/index.php?title=Main_Page&action=info (the latter is editable and the former is not).

Ankry added a subscriber: Ankry.Jan 11 2018, 8:27 PM
jhsoby closed this task as Resolved.Aug 27 2018, 10:15 PM
jhsoby added a subscriber: jhsoby.

Since the translate extension was enabled (T201814), which includes this feature by default, I believe this can be closed. I don't think setting the default page language to mul is possible without changing the wiki language itself, and that would probably have really bad side-effects, so it's probably better to keep it at English. But please feel free to reopen (and possibly change the task description/title) if I'm wrong.